extern crate libloading;

pub mod retro;

pub mod prelude {
    //! Re-exports for types likely to be used by consumers of the crate.
    pub use crate::retro::RetroHandlerId;
    pub use crate::retro::callbacks::*;
    pub use crate::retro::constants::*;
    pub use crate::retro::wrapped_types::*;
    pub use crate::retro::wrapper::LibretroWrapper;
    pub use crate::retro::ffi::{PixelFormat, GameGeometry, HwContextResetFn, HwRenderCallback, SystemAvInfo, SystemInfo};
}
