pub mod provided;
pub mod base;

pub mod prelude {
    //! Re-exports for types likely to be used by consumers of the crate.
    pub use crate::base::{RetroComponent, RetroComponentBase};
    pub use ferretro_base::retro::callbacks::{RetroCallbacks, LibretroWrapperAccess};
    pub use ferretro_base::retro::constants::*;
    pub use ferretro_base::retro::wrapped_types::*;
    pub use ferretro_base::retro::wrapper::LibretroWrapper;
    pub use ferretro_base::retro::ffi::{PixelFormat, GameGeometry, HwContextResetFn, HwRenderCallback, SystemAvInfo, SystemInfo, MemoryMap, LogLevel};
}
