use crate::prelude::*;

pub struct MemoryMapComponent {
    map: MemoryMap,
}

impl RetroCallbacks for MemoryMapComponent {
    fn set_memory_maps(&mut self, memory_map: &MemoryMap) -> Option<bool> {
        self.map = memory_map.clone();
        Some(true)
    }
}

impl RetroComponent for MemoryMapComponent {}
